petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDAGlobalToNaturalBegin

Maps values from the global vector to a global vector in the "natural" grid ordering. Must be followed by DMDAGlobalToNaturalEnd() to complete the exchange.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGlobalToNaturalBegin(DM da,Vec g,InsertMode mode,Vec n)

Neighbor-wise Collective on DMDA

### Input Parameters

| da | - the distributed array context
| g | - the global vector
| mode | - one of INSERT_VALUES or ADD_VALUES

### Output Parameter

l -the natural ordering values

### Notes

The global and natrual vectors used here need not be the same as those obtained from DMCreateGlobalVector() and DMDACreateNaturalVector(), BUT they must have the same parallel data layout; they could, for example, be obtained with VecDuplicate() from the DMDA originating vectors.

You must call DMDACreateNaturalVector() before using this routine

### Keywords

distributed array, global to local, begin

### See Also

DMDAGlobalToNaturalEnd(), DMLocalToGlobalBegin(), DMDACreate2d(),
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDACreateNaturalVector()

### Level

advanced

### Location

src/dm/impls/da/dagtol.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages